Draft Arc/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(29 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Draft_Arc|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Arc|Shortcut=A R|SeeAlso=[[Draft Circle]]}}


{{Docnav
==Description==
|[[Draft_Fillet|Fillet]]
The Arc tool creates an arc in the current [[Draft Workingplane|work plane]] by entering four points, the center, the radius, the first point and the last point, or by picking tangents, or any combination of those. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab. This tool works the same way as the [[Draft Circle]] tool, but adds start and end angles.
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Fillet.svg
|IconR=Draft_Arc_3Points.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/sv|Name=Draft Arc|Name/sv=Draft Arc|Workbenches=[[Draft_Workbench/sv|Draft]], [[Arch_Workbench/sv|Arch]]|MenuLocation=Draft -> Arc|Shortcut=A R|SeeAlso=[[Draft Circle/sv|Draft Circle]]}}
</div>

<span id="Description"></span>
<div class="mw-translate-fuzzy">
====Beskrivning====

Detta verktyg ritar en cirkelbåge genom att välja fyra punkter: centrum, radien, startvinkel och slutvinkel.
</div>

The [[Image:Draft_Arc.svg|24px]] '''Draft Arc''' command creates a circular arc on the current [[Draft_SelectPlane|working plane]] from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.

A Draft Arc is in fact a [[Draft_Circle|Draft Circle]] with a {{PropertyData|First Angle}} that is not the same as its {{PropertyData|Last Angle}}.

[[Image:Draft_Arc_example.jpg|400px]]
<div class="mw-translate-fuzzy">
[[Image:Draft_Arc_example.jpg|400px]]
[[Image:Draft_Arc_example.jpg|400px]]
</div>


==How to use==
==Usage==

# Press the {{KEY|[[Image:Draft Arc.png|16px]] [[Draft Arc]]}} button, or press {{KEY|A}} then {{KEY|R}} keys
See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]

# Click a second point on the 3D view, or enter a radius value
<div class="mw-translate-fuzzy">
# Click a third point in the 3D view, or enter a start angle
====Bruk====
# Click a fourth point in the 3D View, or enter an end ange

* Markera punkter i ett tomt område i 3d vyn, eller på ett existernade objekt.
* Cirkelbågsverktyget ärver [[Draft Circle/sv|Cirkelverktygets]] funktionalitet för de två första stegen, så du kan trycka på {{KEY|ALT}} för att välja en tangent istället för centrum eller radie.
* Nedtryckning av {{KEY|CTRL}} kommer att [[Draft_Snap/sv|snäppa]] din punkt till tillgängliga snäpp-punkter.
* Nedtryckning av {{KEY|SKIFT}} kommer att [[Draft_Constrain/sv|begränsa]] din nya punkt i relation till föregående punkt.
* Skriv in siffror för att manuellt mata in en koordinat.
* Nedtryckning av {{KEY|ALT}} när du väljer slutvinkeln kommer att ändra riktningen till moturs.
* Om du trycker på {{KEY|ESC}} så avbryts funktionen.
</div>


==Options==
==Options==

* The primary use of the arc tool is by picking four points: the centre, a point on the circumference, defining the radius, a third point defining the start of the arc, and a fourth one defining its end.
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).
* By pressing {{KEY|ALT}}, you can select a tangent instead of picking point, to define the base circle of the arc. You can therefore construct several types of circles by selecting one, two or three tangents.

* The direction of the arc depends on the movement you are doing with your mouse. If you start to move clockwise after the third point is entered, your arc will go clockwise. To go counter-clockwise, simply move your mouse back over the third point, until the arc starts drawing in the other direction.
* To manually enter the coordinates for the center enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Arc tool will restart after you give the fourth point, allowing you to draw another arc without pressing the Arc button again.
* Press {{KEY|G}} or click the {{MenuCommand|Global}} checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the [[Draft_SelectPlane|working plane]] coordinate system. {{Version|0.20}}
* Press {{KEY|N}} or click the {{MenuCommand|Continue}} checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your point horizontally or vertically in relation to the center.
* Press {{KEY|S}} to switch [[Draft_Snap|Draft snapping]] on or off.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the command.

* The arc can be turned into a circle after creation, by setting a same value to its first angle and last angle properties.
==Notes==

* A Draft Arc can be edited with the [[Draft_Edit|Draft Edit]] command.

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* If the {{MenuCommand|Edit → Preferences... → Draft → General → Create Part primitives if possible}} option is checked, the command will create a [[Part_Circle|Part Circle]] instead of a Draft Circle.


==Properties==
==Properties==

* {{PropertyData|Radius}}: The radius of the arc
See [[Draft_Circle#Properties|Draft Circle]].
* {{PropertyData|First Angle}}: The angle of the first point of the arc
* {{PropertyData|Last Angle}}: The angle of the last point of the arc


==Scripting==
==Scripting==

The Circle tool can also be used to create arcs in [[macros]] and from the python console by using the following function, giving it additional arguments:
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
<syntaxhighlight>

'''makeCircle (radius, [placement], [facemode], [startangle], [endangle])'''
To create a Draft Arc use the {{incode|make_circle}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeCircle}} method.
</syntaxhighlight>
* Creates a circle object with given radius.
* If a placement is given, it is used. If facemode is False, the circle is shown as a wireframe, otherwise as a face.
* If startangle AND endangle are given (in degrees), they are used and the object appears as an arc.
* Returns the newly created object.


Example:
Example:
<syntaxhighlight>
import Draft
myArc = Draft.makeCircle(2,startangle=0,endangle=90)


{{Code|code=
</syntaxhighlight>
import FreeCAD as App
{{clear}}
import Draft
<languages/>

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()
}}


{{Docnav
|[[Draft_Fillet|Fillet]]
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Fillet.svg
|IconR=Draft_Arc_3Points.svg
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:03, 30 January 2024

Draft Arc

Menyplacering
Draft -> Arc
Arbetsbänkar
Draft, Arch
Standard genväg
A R
Introducerad i version
-
Se även
Draft Circle

Beskrivning

Detta verktyg ritar en cirkelbåge genom att välja fyra punkter: centrum, radien, startvinkel och slutvinkel.

The Draft Arc command creates a circular arc on the current working plane from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.

A Draft Arc is in fact a Draft Circle with a DataFirst Angle that is not the same as its DataLast Angle.

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Bruk

  • Markera punkter i ett tomt område i 3d vyn, eller på ett existernade objekt.
  • Cirkelbågsverktyget ärver Cirkelverktygets funktionalitet för de två första stegen, så du kan trycka på ALT för att välja en tangent istället för centrum eller radie.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT kommer att begränsa din nya punkt i relation till föregående punkt.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Nedtryckning av ALT när du väljer slutvinkeln kommer att ändra riktningen till moturs.
  • Om du trycker på ESC så avbryts funktionen.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press N or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Arc can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See Draft Circle.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()